W3bbo said:
rjdohnert said:
*snip*

WP7 requires the latest Snapdragon processors, it uses new ARM features not present in older devices. Plus, lots of older devices don't meet the hardware mandate requirements (such as GPS and Compass)  so there's no real point.

WP7 requires the latest Snapdragon processors

[citation needed]